﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }
    }

    public class MyItem : XamMenuItem
    {
        public MyItem()
        {
            this.Loaded += MyItem_Loaded;
        }

        void MyItem_Loaded(object sender, RoutedEventArgs e)
        {
            MyRole = base.Role;
        }        

        public Infragistics.Controls.Menus.MenuItemRole MyRole
        {
            get { return (Infragistics.Controls.Menus.MenuItemRole)GetValue(MyRoleProperty); }
            private set { SetValue(MyRoleProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Role.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty MyRoleProperty =
            DependencyProperty.Register("MyRole", typeof(Infragistics.Controls.Menus.MenuItemRole), typeof(MyItem), new PropertyMetadata(null));        
    }
}
